This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821771 - Review Request: erlang-edown - EDoc extension for generating Github-flavored Markdown
Review Request: erlang-edown - EDoc extension for generating Github-flavored ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
:
Depends On:
Blocks: 822491
  Show dependency treegraph
 
Reported: 2012-05-15 09:54 EDT by Peter Lemenkov
Modified: 2015-03-31 22:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-edown-0.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-15 09:54:49 EDT
Spec URL: http://peter.fedorapeople.org/erlang-edown.spec
SRPM URL: http://peter.fedorapeople.org/erlang-edown-0.2.4-1.fc18.src.rpm
Description: EDoc extension for generating Github-flavored Markdown.

Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4078397

THis is one of the requirements for updated erlang-gproc, which is also a requirement for numerous other recently updated Erlang packages.
Comment 1 Peter Lemenkov 2012-05-15 09:59:03 EDT
rpmlint report:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-edown-0.2.4-1.fc18.ppc.rpm ../SRPMS/erlang-edown-0.2.4-1.fc18.src.rpm 
erlang-edown.ppc: E: explicit-lib-dependency erlang-stdlib

^^^ this one is a false positive (stdlib as a trigger)

erlang-edown.ppc: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.ppc: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ

^^^ likewise

erlang-edown.ppc: E: no-binary
erlang-edown.ppc: W: only-non-binary-in-usr-lib

^^^ this one is tricky. All erlang packages must be installed into %{_libdir}/erlang/lib so despite of the fact that some of them contains only arch-independent data they all must be build as arch-dependent. I plan to fix than but I wouldn't hold my breath.

erlang-edown.src: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.src: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ

^^^ false positives 

erlang-edown.src: W: invalid-url Source0: esl-edown-v0.2.4-0-gdbdd41e.tar.gz

^^^ blame github for that, not me.

2 packages and 0 specfiles checked; 2 errors, 6 warnings.
sulaco ~/rpmbuild/SPECS:
Comment 2 Brendan Jones 2012-05-16 06:49:39 EDT
I'll review this one.
Comment 3 Brendan Jones 2012-05-16 07:14:39 EDT
Is the license here ERPL rather than ASL?

I'm assuming your building for EPEL as well (if not remove %clean rm -rf %{buildroot} %defattr etc)
Comment 4 Peter Lemenkov 2012-05-16 08:41:08 EDT
(In reply to comment #3)
> Is the license here ERPL rather than ASL?

ASL 2.0

https://raw.github.com/esl/edown/e32e40af648f0f90ee1e92613c0d7c772ac3bc64/src/edown_doclet.erl

> I'm assuming your building for EPEL as well (if not remove %clean rm -rf
> %{buildroot} %defattr etc)

Yes, for EPEL as well. So all old stuff must be kept intact :(
Comment 5 Brendan Jones 2012-05-16 08:47:09 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Is the license here ERPL rather than ASL?
> 
> ASL 2.0
> 
> https://raw.github.com/esl/edown/e32e40af648f0f90ee1e92613c0d7c772ac3bc64/src/edown_doclet.erl
> 

There's no License file stating this although the source is clearly ASL. You should request that upstream attach a license file in the source
Comment 6 Brendan Jones 2012-05-16 08:50:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint erlang-edown-0.2.4-1.fc18.i686.rpm

erlang-edown.i686: E: explicit-lib-dependency erlang-stdlib
erlang-edown.i686: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.i686: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ
erlang-edown.i686: E: no-binary
erlang-edown.i686: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 3 warnings.


rpmlint erlang-edown-0.2.4-1.fc18.src.rpm

erlang-edown.src: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.src: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ
erlang-edown.src: W: invalid-url Source0: esl-edown-v0.2.4-0-gdbdd41e.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: MUST Rpmlint output is silent.

rpmlint erlang-edown-0.2.4-1.fc18.i686.rpm

erlang-edown.i686: E: explicit-lib-dependency erlang-stdlib
erlang-edown.i686: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.i686: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ
erlang-edown.i686: E: no-binary
erlang-edown.i686: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 3 warnings.


rpmlint erlang-edown-0.2.4-1.fc18.src.rpm

erlang-edown.src: W: spelling-error Summary(en_US) EDoc -> E Doc, Doc, Educ
erlang-edown.src: W: spelling-error %description -l en_US EDoc -> E Doc, Doc, Educ
erlang-edown.src: W: invalid-url Source0: esl-edown-v0.2.4-0-gdbdd41e.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

This package is APPROVED
Comment 7 Peter Lemenkov 2012-05-16 08:57:03 EDT
Thanks!

New Package SCM Request
=======================
Package Name: erlang-edown
Short Description: EDoc extension for generating Github-flavored Markdown
Owners: peter
Branches: el6 f16 f17
InitialCC:
Comment 8 Jon Ciesla 2012-05-16 09:18:44 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-05-16 10:51:26 EDT
erlang-edown-0.2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-edown-0.2.4-1.fc17
Comment 10 Fedora Update System 2012-05-16 10:51:35 EDT
erlang-edown-0.2.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-edown-0.2.4-1.fc16
Comment 11 Fedora Update System 2012-05-18 06:34:01 EDT
erlang-edown-0.2.4-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 12 Fedora Update System 2012-05-26 03:08:44 EDT
erlang-edown-0.2.4-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-05-26 21:49:13 EDT
erlang-edown-0.2.4-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-05-28 04:35:49 EDT
erlang-edown-0.2.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-edown-0.2.4-2.el6
Comment 15 Peter Lemenkov 2012-06-01 07:35:46 EDT
Package Change Request
======================
Package Name: erlang-edown
New Branches: el5
Owners: peter
Comment 16 Fedora Update System 2012-06-01 07:59:26 EDT
erlang-edown-0.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-edown-0.3.0-1.fc16
Comment 17 Fedora Update System 2012-06-01 07:59:48 EDT
erlang-edown-0.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-edown-0.3.0-1.el6
Comment 18 Fedora Update System 2012-06-01 08:00:00 EDT
erlang-edown-0.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-edown-0.3.0-1.fc17
Comment 19 Jon Ciesla 2012-06-01 08:46:48 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2012-06-09 21:37:45 EDT
erlang-edown-0.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-06-09 21:37:56 EDT
erlang-edown-0.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-06-16 13:59:50 EDT
erlang-edown-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-06-28 23:24:45 EDT
erlang-edown-0.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-edown-0.3.0-1.el5
Comment 24 Fedora Update System 2012-07-15 14:27:22 EDT
erlang-edown-0.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 25 Peter Lemenkov 2015-03-13 08:15:48 EDT
Package Change Request
======================
Package Name: erlang-edown
New Branches: epel7
Owners: peter
InitialCC: erlang-sig
Comment 26 Jon Ciesla 2015-03-13 09:42:12 EDT
Git done (by process-git-requests).
Comment 27 Fedora Update System 2015-03-13 09:56:31 EDT
erlang-edown-0.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/erlang-edown-0.4-1.el7
Comment 28 Fedora Update System 2015-03-31 22:01:15 EDT
erlang-edown-0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.